import logging

from app import app as application


logging.basicConfig(**application.config['LOGGING_CONFIG'])


import endpoints.index
import endpoints.api
import endpoints.web
import endpoints.tags
import endpoints.registry
import endpoints.webhooks


logger = logging.getLogger(__name__)

if application.config.get('INCLUDE_TEST_ENDPOINTS', False):
  logger.debug('Loading test endpoints.')
  import endpoints.test

# Remove this for prod config
application.debug = True

if __name__ == '__main__':
  application.run(port=5000, debug=True, threaded=True, host='0.0.0.0')
